.Button .buttoncl {
  padding: 10px 30px;
  border: 2px solid var(--btnColor);
  border-radius: 30px;
  position: relative;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-top: 10px;
  overflow: hidden;
  cursor: pointer;
  transition: 0.5s;
  background: transparent;
  color: var(--btnTextColor);
  font-size: 14px;
  font-weight: 600;
  text-transform: uppercase;
  z-index: 9;
  width: fit-content;
}
.Button .toptxt {
  position: relative;
  display: flex;
  top: 0;
  z-index: 2;
  transition: 0.3s;
}
.Button .container {
  width: 100%;
  min-height: 1px;
  overflow: hidden;
}
.Button .subtxt {
  position: absolute;
  top: 100%;
  z-index: 3;
  height: 100%;
  transition: 0.3s;
  display: flex;
  align-items: center;
  justify-content: center;
}
.Button .buttoncl::before {
  content: "";
  position: absolute;
  height: 50px;
  width: 50px;
  border-radius: 50%;
  background: var(--btnHoverColor);
  top: -50%;
  transition: 0.3s;
  left: 50%;
  transform: translateX(-50%);
  clip-path: circle(37% at 50% 50%);
  z-index: 1;
  opacity: 0;
  border: 2px solid var(--btnHoverColor);
}
.Button .buttoncl:hover::before {
  top: -2px;
  height: 110%;
  width: 110%;
  border-radius: 30px;
  clip-path: circle(100% at 50% 50%);
  opacity: 1;
}
.Button .buttoncl:hover .toptxt {
  top: -100px;
}
.Button .buttoncl:hover .subtxt {
  top: 0;
  color: var(--btnHoverTextColor) !important;
}
@media only screen and (max-width: 900px) {
  .Button {
    background-attachment: scroll;
  }
}
